Bug 1284720 - checksum mismatch - patch-4.4-rc[12].xz [NEEDINFO]
checksum mismatch - patch-4.4-rc[12].xz
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 20:56 EST by poma
Modified: 2016-01-08 07:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 07:16:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pomidorabelisima: needinfo? (kernel-maint)


Attachments (Terms of Use)
ft{1,3}000.img breaks build (1.27 KB, patch)
2016-01-07 06:09 EST, poma
no flags Details | Diff

  None (edit)
Description poma 2015-11-23 20:56:44 EST
Description of problem:
checksum mismatch - patch-4.4-rc[12].xz

Version-Release number of selected component (if applicable):
kernel-4.4.0-0.rc[12].git0.1.fc24

How reproducible:
101%

Steps to Reproduce:
1. compare checksum

Actual results:
checksum -mismatch-

Expected results:
checksum -match-

Additional info:
checksum mismatch - patch-4.4-rc[12].xz


- UPSTREAM: kernel.org

$ curl -s https://cdn.kernel.org/pub/linux/kernel/v4.x/testing/sha256sums.asc | grep 'patch-4.4-rc[12].xz'
3870efdb5dfdbcb17d5a233e8e9c69156609825a3fb344b8f0fcecb92646360d  patch-4.4-rc1.xz
04a2fe6ce8711a01617e459d6908bfbd7715a0e4106fbd05372e12ba7ad03158  patch-4.4-rc2.xz


- DOWNSTREAM: fedoraproject.org

- 4.4-RC1: unused original upstream patch-4.4-rc1.xz - checksum match
$ curl -s http://pkgs.fedoraproject.org/repo/pkgs/kernel/patch-4.4-rc1.xz/a0765e4d169afa64e9cdb6fea35cb728/patch-4.4-rc1.xz | sha256sum 
3870efdb5dfdbcb17d5a233e8e9c69156609825a3fb344b8f0fcecb92646360d  -

- used altered downtream patch-4.4-rc1.xz - checksum mismatch
$ curl -s http://pkgs.fedoraproject.org/repo/pkgs/kernel/patch-4.4-rc1.xz/67848ae7a0ca2695598d77c9ee576100/patch-4.4-rc1.xz | sha256sum
450b6734366b0f72ec6c34652ff8515d430117bcf714e85c00bff305c95fe873  -

$ rpm2cpio https://kojipkgs.fedoraproject.org/packages/kernel/4.4.0/0.rc1.git0.1.fc24/src/kernel-4.4.0-0.rc1.git0.1.fc24.src.rpm | cpio --quiet -i --to-stdout patch-4.4-rc1.xz | sha256sum
450b6734366b0f72ec6c34652ff8515d430117bcf714e85c00bff305c95fe873  -


- 4.4-RC2: used altered downtream patch-4.4-rc2.xz - checksum mismatch
$ curl -s http://pkgs.fedoraproject.org/repo/pkgs/kernel/patch-4.4-rc2.xz/db11195bab1230374cd0ecc8e8ed1420/patch-4.4-rc2.xz | sha256sum
5d258b009fc59957c74f86216eee64741e705851a5f1213d249f9b4c2b6dec5e  -

$ rpm2cpio https://kojipkgs.fedoraproject.org/packages/kernel/4.4.0/0.rc2.git0.1.fc24/src/kernel-4.4.0-0.rc2.git0.1.fc24.src.rpm | cpio --quiet -i --to-stdout patch-4.4-rc2.xz | sha256sum
5d258b009fc59957c74f86216eee64741e705851a5f1213d249f9b4c2b6dec5e  -
Comment 1 poma 2015-11-23 20:58:46 EST
Miss Laura Abbott, comment?
Comment 2 Laura Abbott 2015-11-24 11:47:22 EST
This is intentional. We currently have to work around a limitation in patch which is triggered by the deletion of some old binary blobs in the current patch set. Modifying the patch before uploading is the only option.
Comment 3 poma 2016-01-07 06:09 EST
Created attachment 1112415 [details]
ft{1,3}000.img breaks build


Have you communicated with the upstream folks apropos this problem?
Comment 4 poma 2016-01-07 21:01:50 EST
I looked at what's up with this.

Starting with
Staging: Add support for Flarion OFDM usb and pcmcia devices
https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/drivers/staging/ft1000?id=f7c1be0

and ending with
staging: ft1000: remove obsolete driver
https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/drivers/staging/ft1000?id=6512ede

So this is no more with the mainline 4.4

However, why the firmwares in the first place are included in the kernel source?

Is not this the right place for inclusion,
http://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git


And this,
why the application of the upstream patch works manually, but breaks within spec?

Note You need to log in before you can comment on or make changes to this bug.